Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.javax.xml.xquery
Interface XQDataSource

All Superinterfaces:
  XQDataFactory

All Known Implementing Classes:
  SaxonXQDataSource

    public interface XQDataSource

extends XQDataFactory

XQJ interfaces reconstructed from version 0.5 documentation

Method Summary
`XQConnection` | `getConnection()`
`XQConnection` | `getConnection(Connection con)`
`XQConnection` | `getConnection(String username, String password)`
`int` | `getLoginTimeout()`
`PrintWriter` | `getLogWriter()`
`String` | `getProperty(String name)`
`String[]` | `getSupportedPropertyNames()`
`void` | `setCommonHandler(XQCommonHandler handler)`
`void` | `setLoginTimeout(int seconds)`
`void` | `setLogWriter(PrintWriter out)`
`void` | `setProperties(Properties props)`
`void` | `setProperty(String name, String value)`

Methods inherited from interface net.sf.saxon.javax.xml.xquery.XQDataFactory
`createAtomicItemType, createItem, createItemFromAtomicValue, createItemFromBoolean, createItemFromByte, createItemFromDocument, createItemFromDouble, createItemFromFloat, createItemFromInt, createItemFromLong, createItemFromNode, createItemFromObject, createItemFromShort, createItemType, createItemType, createSequence, createSequence, createSequenceType`

Method Detail

### getConnection

    XQConnection getConnection()
                               throws XQException

  Throws:
    `XQException`

### getConnection

    XQConnection getConnection(Connection con)
                               throws XQException

  Throws:
    `XQException`

### getConnection

    XQConnection getConnection(String username,
                               String password)
                               throws XQException

  Throws:
    `XQException`

### getLoginTimeout

    int getLoginTimeout()

### getLogWriter

    PrintWriter getLogWriter()

### getProperty

    String getProperty(String name)
                       throws XQException

  Throws:
    `XQException`

### getSupportedPropertyNames

    String[] getSupportedPropertyNames()

### setCommonHandler

    void setCommonHandler(XQCommonHandler handler)
                          throws XQException

  Throws:
    `XQException`

### setLoginTimeout

    void setLoginTimeout(int seconds)
                         throws XQException

  Throws:
    `XQException`

### setLogWriter

    void setLogWriter(PrintWriter out)
                      throws XQException

  Throws:
    `XQException`

### setProperties

    void setProperties(Properties props)
                       throws XQException

  Throws:
    `XQException`

### setProperty

    void setProperty(String name,
                     String value)
                     throws XQException

  Throws:
    `XQException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.